<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.@//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.muyu.car.mapper.VehicleInformationMapper">
    <insert id="addVehicleConnection">
        INSERT INTO `vehicle_connection` (`vin`, `timestamp`, `username`, `nonce`,`password`) VALUES (#{vehicleVin}, #{timestamp}, #{username}, #{nonce},#{password});
    </insert>
    <select id="selectVehicleVin" resultType="java.lang.String">
        select
            `vin`, `timestamp`, `username`, `nonce`,`password`
        from
            `vehicle_connection`
        where `vin` = #{vehicleVin}
    </select>
</mapper>
